Upgrade Debian Wheezy to Wheezy Backports

Backports cannot be tested as extensively as Debian stable, and backports are provided on an as-is basis, with risk of incompatibilities with other components in Debian stable. Use with care!

Add backports to your /etc/apt/sources.list

deb http://http.debian.net/debian wheezy-backports main contrib non-free

According to Debian documentation, it is therefore recommended to select single backported packages that fit your needs, and not use all available backports. Again, it is not a recommended configuration to use backports by default for all packages: it could break your system and delete all your data.

Are you still sure to do so? To use backported packages by default, add the following lines to /etc/apt/preferences

Package: *
Pin: release a=wheezy-backports
Pin-Priority: 600

Then, as usual apt-get update apt-get update apt-get dist-upgrade

notes/upgrade-wheezy-to-wheezy-backports.txt · Last modified: 2014/12/06 16:35 by admin
 
Except where otherwise noted, content on this wiki is licensed under the following license: CC Attribution-Share Alike 3.0 Unported
Recent changes RSS feed Donate Powered by PHP Valid XHTML 1.0 Valid CSS Run by Debian Driven by DokuWiki